using CloudBuilder.Core.Authorization;
namespace CloudBuilder.Security
{
    [TypeScript]
    public class SecurityFunctionMapEntityKey
    {
        public string FunctionNameParent  { get; set; }
        public string FunctionNameSon  { get; set; }

        public override bool Equals(object obj)
        {
            if (this == obj) return true;

            SecurityFunctionMapEntityKey pkey = obj as SecurityFunctionMapEntityKey;
            if (pkey == null) return false;

            if (FunctionNameParent != pkey.FunctionNameParent) return false;
            if (FunctionNameSon != pkey.FunctionNameSon) return false;

            return true;
        }


            public override string ToString()
            {
                string declareSql="";
                declareSql=declareSql+$"declare @__tkey_FunctionNameParent_0 varchar(50) select @__tkey_FunctionNameParent_0 ='{FunctionNameParent}'; " ;                declareSql=declareSql+$"declare @__tkey_FunctionNameSon_1 varchar(50) select @__tkey_FunctionNameSon_1 ='{FunctionNameSon}'; " ;
                return declareSql;
            }
        }
    }
    /* builder.Entity<SecurityFunctionMapEntity>().HasKey(c => new {        c.FunctionNameParent,        c.FunctionNameSon});    */
